Last Comment Bug 592041 - crash [@ openMailWindow ]
: crash [@ openMailWindow ]
Status: RESOLVED FIXED
: crash, regression
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Windows XP
: -- blocker (vote)
: Thunderbird 3.3a1
Assigned To: Bruno 'Aqualon' Escherl
:
Mentors:
Depends on:
Blocks: 556114
  Show dependency treegraph
 
Reported: 2010-08-30 13:42 PDT by Bruno 'Aqualon' Escherl
Modified: 2011-06-09 14:58 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
.4-fixed
.9-fixed


Attachments
remove shadowing nsCOMPtr (1.02 KB, patch)
2010-09-01 12:34 PDT, Bruno 'Aqualon' Escherl
neil: review+
neil: superreview+
standard8: approval‑thunderbird3.0.9+
standard8: approval‑thunderbird3.1.4+
Details | Diff | Review

Description Bruno 'Aqualon' Escherl 2010-08-30 13:42:32 PDT
Mozilla/5.0 (Windows NT 5.1; rv:2.0b5pre) Gecko/20100829 SeaMonkey/2.1b1pre (built from http://hg.mozilla.org/mozilla-central/rev/414ff9016349) crashes.

After new mail arrived and I get the notification, a crash occurs in two cases:

1. Clicking on the tray icon: bp-832c9be7-cac0-405c-a98e-bc86c2100830
2. Clicking on the new mail link in notification box: bp-f9261deb-8cbb-4359-90e6-6e7972100830

Mozilla/5.0 (Windows NT 5.1; rv:2.0b5pre) Gecko/20100825 SeaMonkey/2.1b1pre works fine. Could be fallout from bug 556114.

Perhaps also related with bug 591814, but no crash there.
Comment 1 Bruno 'Aqualon' Escherl 2010-08-30 14:06:47 PDT
After the ftp-server was generous enough to let me download another build I can say, that Mozilla/5.0 (Windows NT 5.1; rv:2.0b5pre) Gecko/20100826 SeaMonkey/2.1b1pre works too.

I can't test a build from 20100827 and 20100828, since there are none due to tinderbox build bustage.
Comment 2 Bruno 'Aqualon' Escherl 2010-09-01 12:34:43 PDT
Created attachment 471226 [details] [diff] [review]
remove shadowing nsCOMPtr

The nsCOMPtr shadows our real domWindow, which we get in http://mxr.mozilla.org/comm-central/source/mailnews/base/src/nsMessengerWinIntegration.cpp?mark=148-149#137
Comment 3 neil@parkwaycc.co.uk 2010-09-01 12:58:50 PDT
Comment on attachment 471226 [details] [diff] [review]
remove shadowing nsCOMPtr

r+sr=me as my review on bug 556114 was conditional on this change anyway.
Comment 4 Frank Wein [:mcsmurf] 2010-09-02 01:56:28 PDT
Pushed http://hg.mozilla.org/comm-central/rev/6c659497d5b4
Comment 5 Mark Banner (:standard8) 2010-09-02 02:46:22 PDT
Comment on attachment 471226 [details] [diff] [review]
remove shadowing nsCOMPtr

Will need this alongside the other bug for 3.x security releases.
Comment 6 Mark Banner (:standard8) 2010-09-10 09:15:16 PDT
Checked into 1.9.2: http://hg.mozilla.org/releases/comm-1.9.2/rev/401e4867f0c5
Comment 7 Mark Banner (:standard8) 2010-09-10 13:56:29 PDT
Also checked into relbranch: http://hg.mozilla.org/releases/comm-1.9.2/rev/401e4867f0c5
Comment 8 Mark Banner (:standard8) 2010-09-10 13:59:22 PDT
(In reply to comment #7)
> Also checked into relbranch:
> http://hg.mozilla.org/releases/comm-1.9.2/rev/401e4867f0c5

Make that http://hg.mozilla.org/releases/comm-1.9.2/rev/75a65749863c on the relbranch.
Comment 9 Mark Banner (:standard8) 2010-09-27 07:54:49 PDT
Checked into 1.9.1: http://hg.mozilla.org/releases/comm-1.9.1/rev/fd93f3f9f6d9

Note You need to log in before you can comment on or make changes to this bug.